Summary:	Untrusted/encrypted backup using rsync algorithm
Name:		duplicity
Version:	0.7.06
Release:	1
License:	GPLv2+
Group:		Archiving/Backup
Url:		http://www.nongnu.org/duplicity/
Source0:	http://savannah.nongnu.org/download/duplicity/%{name}-%{version}.tar.gz
Source1:	http://savannah.nongnu.org/download/duplicity/%{name}-%{version}.tar.gz.sig
Patch0:		patch-64bits.patch
BuildRequires:	python-distribute
BuildRequires:	librsync-devel
BuildRequires:	pkgconfig(python)
Requires:	gnupg
Requires:	python-lockfile
Requires:	lftp
Requires:	ncftp
Requires:	openssh-clients
Requires:	python-GnuPG-Interface
Requires:	python-lockfile
Requires:	rsync
Requires:	python-gi
Requires:	python-paramiko
Suggests:	python-boto
Suggests:	python-dropbox
Suggests:	python-gdata

%description
Duplicity incrementally backs up files and directory by encrypting tar-format
volumes with GnuPG and uploading them to a remote (or local) file server. In
theory many remote backends are possible; right now local, ssh/scp, ftp, and
rsync backends are written. Because duplicity uses librsync, the incremental
archives are space efficient and only record the parts of files that have
changed since the last backup.  Currently duplicity supports deleted files,
full unix permissions, directories, symbolic links, fifos, etc., but not hard
links.

%files -f %{name}.lang
%doc CHANGELOG COPYING README
%{_bindir}/rdiffdir
%{_bindir}/duplicity
%{_mandir}/man1/*
%{py_platsitedir}/duplicity
%{py_platsitedir}/*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
python setup.py build

%install
python setup.py install --prefix=%{buildroot}%{_prefix}

rm -Rf %{buildroot}%{_datadir}/doc/duplicity-%{version}

%find_lang %{name}


%changelog

* Sun Jan 31 2016 Denis Silakov <dsilakov@gmail.com> 0.7.06-1
- (22fca80) Added lftp req


